Bug 1746389 - On Fedora 31 the standard-test-roles module does not meet the criteria.
Summary: On Fedora 31 the standard-test-roles module does not meet the criteria.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: standard-test-roles
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrei Stepanov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-28 10:42 UTC by Lukas Ruzicka
Modified: 2019-08-29 09:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-29 09:41:39 UTC


Attachments (Terms of Use)

Description Lukas Ruzicka 2019-08-28 10:42:51 UTC
Description of problem:

1. On Fedora 31, the standard-test-roles module does not have a default profile set, so it cannot be installed using the recommended method "dnf module install standard-test-roles:3.0".

2. On Fedora 31, the module does not have a corresponding yaml file in fedore-module-defaults.

How reproducible:

Always

Steps to Reproduce:
1. dnf module list standard-test-roles
2. See in https://pagure.io/releng/fedora-module-defaults
3.

Actual results:

See above.

Expected results:

The module meets the module criteria for Fedora!!

Comment 1 Andrei Stepanov 2019-08-29 09:41:39 UTC
Lukas, hi!
There are official ursine RPM builds: https://koji.fedoraproject.org/koji/userinfo?userID=4024
STR will be not built as module any more.

[root@ci-vm-10-0-136-157 ~]# dnf install standard-test-roles
Last metadata expiration check: 0:02:15 ago on Thu 29 Aug 2019 05:35:33 AM EDT.
Dependencies resolved.
======================================================================================
 Package                        Arch   Version                           Repo    Size
======================================================================================
Installing:
 standard-test-roles            noarch 4.3-1.fc31                        fedora  41 k

I opened also RCM ticket to remove this module from F31 / Rawhide https://pagure.io/releng/issue/8709


Note You need to log in before you can comment on or make changes to this bug.